namespace Models;

public class Cell : Position
{
    private int? _value;
    public int? Value {
        get => _value;
        set
        {
            if (value < 0)
            {
                throw new Exception("La valeur doit être supérieure à 0");
            }
            this._value = value;
        }
    }

    private bool IsDangerous { get; set; }

    private bool Penalty { get; set; }

    public Cell(int x, int y,bool isDangerous = false):base(x,y)
    {
        IsDangerous = isDangerous;
        Penalty = false;
    }

    public bool GetCellType() => IsDangerous;
}